Bug 220671 - audio/soundconverter: Fails to configure when NLS option disabled
Summary: audio/soundconverter: Fails to configure when NLS option disabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-12 10:49 UTC by Beeblebrox
Modified: 2018-05-26 14:44 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+
koobs: merge-quarterly?


Attachments
svn-diff-soundconverter (443 bytes, patch)
2018-02-12 10:23 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Beeblebrox 2017-07-12 10:49:26 UTC
NLS option is turned off on most ports. Compile breaks with

checking for xgettext... no
checking for msgmerge... no
checking for msgfmt... no
checking for gmsgfmt... no
configure: error: GNU gettext tools not found; required for intltool

Add to USES gettext-tools
-@19 USES=           desktop-file-utils gmake python:2 shebangfix tar:xz
+@19 USES=           desktop-file-utils gmake python:2 shebangfix tar:xz gettext-tools

Builds fine on 12-Current
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-26 03:40:32 UTC
@Beeblebrox Thank you for your report. Could you please include your (comment 1) patch as an attachment please
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-19 20:01:44 UTC
py-gnome2 pulls in gettext-tools, so I assume a patch is not necessairely. Feedback? (Or close?).
Comment 3 Beeblebrox 2018-02-09 14:50:52 UTC
Hi

> py-gnome2 pulls in gettext-tools, so I assume a patch is not
> necessairely. Feedback? (Or close?).  

Latest build attempt, Poudriere log snippet from
build of soundconverter-2.1.6 at Thu Feb 1, 2018

checking for intltool-extract... /usr/local/bin/intltool-extract
checking for xgettext... no
checking for msgmerge... no
checking for msgfmt... no
checking for gmsgfmt... no
configure: error: GNU gettext tools not found; required for intltool
===>  Script "configure" failed unexpectedly.
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-02-12 10:23:23 UTC
Created attachment 190539 [details]
svn-diff-soundconverter
Comment 5 Chris Hutchinson 2018-02-24 00:43:41 UTC
Comment on attachment 190539 [details]
svn-diff-soundconverter

Ooops. Seems I overlooked this. Sorry.

@w.schwarzenfeld
Thank you _very_ much for taking the time to whip up this diff.
Looks good, approved! :-)

--Chris
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-05-24 19:02:21 UTC
It there a reason for it is not comitted yet?
Comment 7 Kurt Jaeger freebsd_committer 2018-05-24 19:27:57 UTC
Testbuilds@work
Comment 8 Kurt Jaeger freebsd_committer 2018-05-26 06:26:01 UTC
Committed, thanks.
Comment 9 commit-hook freebsd_committer 2018-05-26 06:26:10 UTC
A commit references this bug:

Author: pi
Date: Sat May 26 06:25:43 UTC 2018
New revision: 470881
URL: https://svnweb.freebsd.org/changeset/ports/470881

Log:
  audio/soundconverter: fix configure with NLS option disabled

  - by adding USES=gettext-tools

  PR:		220671
  Submitted by:	zaphod@berentweb.com
  Approved by:	Chris Hutchinson <portmaster@bsdforge.com>
  MFH:		2018Q2

Changes:
  head/audio/soundconverter/Makefile
Comment 10 commit-hook freebsd_committer 2018-05-26 14:44:43 UTC
A commit references this bug:

Author: pi
Date: Sat May 26 14:44:15 UTC 2018
New revision: 470891
URL: https://svnweb.freebsd.org/changeset/ports/470891

Log:
  MFH: r470881

  audio/soundconverter: fix configure with NLS option disabled

  - by adding USES=gettext-tools

  PR:		220671
  Submitted by:	zaphod@berentweb.com
  Approved by:	Chris Hutchinson <portmaster@bsdforge.com>
  Approved by:	portmgr (miwi)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/audio/soundconverter/Makefile